com.trendmicro.ds.platform.rest.object.cloud

## Class AwsRegion

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.cloud.AwsRegion

-     public class AwsRegion
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AwsRegion()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getComputersSynced()` Gets The number of instances in the region during the last sync.
    `java.lang.String` | `getRegion()` Gets the Amazon region name.
    `void` | `setComputersSynced(int computersSynced)` Sets the number of instances in the region during the last sync.
    `void` | `setRegion(java.lang.String region)` Sets the Amazon region name.
    `AwsRegion` | `withComputersSynced(int computersSynced)`
    `AwsRegion` | `withRegion(java.lang.String region)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AwsRegion

          public AwsRegion()

  - ### Method Detail

    - #### getRegion

          public java.lang.String getRegion()

      Gets the Amazon region name.
      Returns:
        The Amazon region name.

    - #### setRegion

          public void setRegion(java.lang.String region)

      Sets the Amazon region name.
      Parameters:
        `region` - The Amazon region name.

    - #### getComputersSynced

          public int getComputersSynced()

      Gets The number of instances in the region during the last sync.
      Returns:
        The number of instances in the region during the last sync.

    - #### setComputersSynced

          public void setComputersSynced(int computersSynced)

      Sets the number of instances in the region during the last sync.
      Parameters:
        `computersSynced` - the number of instances in the region during the last sync.

    - #### withRegion

          public AwsRegion withRegion(java.lang.String region)

      Parameters:
        `region` - The Amazon region name.
      Returns:
        The updated AwsRegion object.

    - #### withComputersSynced

          public AwsRegion withComputersSynced(int computersSynced)

      Parameters:
        `computersSynced` - The number of instances in the region during the last sync.
      Returns:
        The updated AwsRegion object.

Copyright © 2017 Trend Micro Inc. All Rights Reserved.